Bug 991708 - F19 kernels fail to boot on battery vaio vgn-c2m/w 3.9.5-301.fc19 3.10.4-300.fc19
F19 kernels fail to boot on battery vaio vgn-c2m/w 3.9.5-301.fc19 3.10.4-300....
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 17:35 EDT by Ian Malone
Modified: 2015-02-23 15:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output, external power on (62.56 KB, text/plain)
2013-08-03 17:35 EDT, Ian Malone
no flags Details
dmesg output, external power off, acpi=off specified (52.45 KB, text/plain)
2013-08-03 17:36 EDT, Ian Malone
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 60770 None None None Never

  None (edit)
Description Ian Malone 2013-08-03 17:35:31 EDT
Created attachment 782395 [details]
dmesg output, external power on

Description of problem:
Laptop fails to boot when running on battery, boots successfully on battery.

Version-Release number of selected component (if applicable):
kernel-3.9.5-301.fc19.x86_64
kernel-3.10.4-300.fc19.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Turn off power brick
2. Start computer
(optional: 3. Select kernel in grub menu)

Actual results:
Flashing underscore cursor after grub

Expected results:
Fedora

Additional info:
Prior to upgrading I noticed this when going from dmesg-3.8.13-100.fc17 to 3.9.10-100.fc17
Supplying the acpi=off kernel argument allows the system to boot while on battery.

lscpi output below, dmesg from successful start with power on attached
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation NM10/ICH7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB controller: Intel Corporation NM10/ICH7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7-M Family) SATA Controller [IDE mode] (rev 02)
00:1f.3 SMBus: Intel Corporation NM10/ICH7 Family SMBus Controller (rev 02)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 PCI-E Fast Ethernet Controller (rev 16)
06:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
0a:03.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
0a:03.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
0a:03.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
Comment 1 Ian Malone 2013-08-03 17:36:28 EDT
Created attachment 782396 [details]
dmesg output, external power off, acpi=off specified
Comment 2 Josh Boyer 2013-09-18 16:39:39 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Ian Malone 2013-09-19 16:29:02 EDT
Still applies to 3.11.1-200.fc19.x86_64
Comment 4 Justin M. Forbes 2014-01-03 17:12:30 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 5 Michele Baldessari 2014-01-04 09:16:58 EST
Fixed via 60770 and https://bugzilla.kernel.org/attachment.cgi?id=120251&action=diff

Correct Ian?
Comment 6 Ian Malone 2014-01-10 10:49:18 EST
Yes, though I'm not sure any code has been comitted yet. Suppose I should test that mass update on the outside chance someone added the patch.
Comment 7 Ian Malone 2014-01-12 18:09:45 EST
... 3.12.6-200.fc19 doesn't have the fix.
Comment 8 Josh Boyer 2014-01-13 10:19:12 EST
It won't be in stable because it isn't in Linus' tree. As Ian said, it isn't really committed anywhere that I can find.
Comment 9 Justin M. Forbes 2014-03-10 10:52:06 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 10 Ian Malone 2014-03-10 17:16:00 EDT
Clearing needinfo, 3.13.5-103.fc19.x86_64 does not fix this. Not sure what status is, patch still not acked on lkml so far as I know.
Comment 11 Josh Boyer 2014-03-11 09:41:13 EDT
Sigh.  I pinged Len again.
Comment 12 Ian Malone 2014-03-12 08:09:09 EDT
Thanks, I know there are more formal procedures for the kernel than most other things and I'm not very familiar with them.
Comment 13 Justin M. Forbes 2014-05-21 15:31:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 14 Ian Malone 2014-05-30 17:16:55 EDT
Serve and return. (I.e. no, fix not in 3.14.4-100.fc19)
Any value me recapitulating the story on linux-pm?
Comment 15 Josh Boyer 2014-08-16 10:34:44 EDT
I pinged the upstream maintainer again.  Not sure why this fell through the cracks.
Comment 16 Fedora End Of Life 2015-01-09 17:27:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 06:04:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Ian Malone 2015-02-23 15:53:33 EST
Still on F21 3.18.6-200.fc21.x86_64

Note You need to log in before you can comment on or make changes to this bug.